phenny_2~hg28-3_all.deb


Advertisement

Description

phenny - extensible IRC bot written in Python

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name phenny
Package version 2~hg28
Package release 3
Package architecture all
Package type deb
Installed size 299 B
Download size 66.06 KB
Official Mirror archive.ubuntu.com
Phenny is a lightweight IRC bot with the usual facilities that one expects such
as a Wordnet interface and thesaurus lookups. Modularly extensible with Python
and can reload modules on the fly.

Alternatives

Package Version Architecture Repository
phenny_2~hg28-3_all.deb 2~hg28 all Ubuntu Universe
phenny - - -

Requires

Name Value
python -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package phenny_2~hg28-3_all.deb
Source Package phenny

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install phenny deb package:
    # sudo apt-get install phenny

Files

Path
/usr/bin/phenny
/usr/lib/python2.7/dist-packages/phenny/__init__.py
/usr/lib/python2.7/dist-packages/phenny/bot.py
/usr/lib/python2.7/dist-packages/phenny/icao.py
/usr/lib/python2.7/dist-packages/phenny/irc.py
/usr/lib/python2.7/dist-packages/phenny/tools.py
/usr/lib/python2.7/dist-packages/phenny/web.py
/usr/lib/python2.7/dist-packages/phenny/modules/__init__.py
/usr/lib/python2.7/dist-packages/phenny/modules/admin.py
/usr/lib/python2.7/dist-packages/phenny/modules/calc.py
/usr/lib/python2.7/dist-packages/phenny/modules/clock.py
/usr/lib/python2.7/dist-packages/phenny/modules/codepoints.py
/usr/lib/python2.7/dist-packages/phenny/modules/dict.py
/usr/lib/python2.7/dist-packages/phenny/modules/etymology.py
/usr/lib/python2.7/dist-packages/phenny/modules/head.py
/usr/lib/python2.7/dist-packages/phenny/modules/info.py
/usr/lib/python2.7/dist-packages/phenny/modules/oblique.py
/usr/lib/python2.7/dist-packages/phenny/modules/ping.py
/usr/lib/python2.7/dist-packages/phenny/modules/reload.py
/usr/lib/python2.7/dist-packages/phenny/modules/search.py
/usr/lib/python2.7/dist-packages/phenny/modules/seen.py
/usr/lib/python2.7/dist-packages/phenny/modules/startup.py
/usr/lib/python2.7/dist-packages/phenny/modules/tell.py
/usr/lib/python2.7/dist-packages/phenny/modules/translate.py
/usr/lib/python2.7/dist-packages/phenny/modules/validate.py
/usr/lib/python2.7/dist-packages/phenny/modules/weather.py
/usr/lib/python2.7/dist-packages/phenny/modules/wikipedia.py
/usr/lib/python2.7/dist-packages/phenny/modules/wiktionary.py
/usr/share/doc/phenny/changelog.Debian.gz
/usr/share/doc/phenny/copyright
/usr/share/man/man1/phenny.1.gz

Changelog

2015-08-30 - Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
phenny (2~hg28-3) unstable; urgency=medium
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Andrey Rahmatullin ]
* Port from python-support to dh-python (Closes: #786107)
* Drop obsolete debian/{pycompat,pyversions}
2010-09-12 - Piotr O┼╝arowski <piotr@debian.org>
phenny (2~hg28-2) unstable; urgency=low
* Team upload.
* Drop 05_python-version.dpatch, set minimum required version via
XS-Python-Version and use unversioned interpreter in shebang
Closes: #596311
2009-10-15 - Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
phenny (2~hg28-1) unstable; urgency=low
[ Noah Slater ]
* New upstream version, security fix and oblique command added.
* Added debian/README.source file.
* Updated debian/control, removed Build-Depends on cdbs.
* Updated debian/control, updated Build-Depends on debhelper to 7.2.11.
* Updated debian/control, changed Standards-Version to 3.8.1.
* Updated debian/control, changed Vcs-Browser.
* Updated debian/copyright, changed for latest proposed format.
* Updated debian/patches, converted all patches to dpatch system.
* Updated debian/patches/module-home.patch, relative home. Closes: #516038
* Updated debian/rules to use full debhelper system.
* Deleted debian/patches/bot-announce.patch, announce functionality.
[ Sandro Tosi ]
* debian/control
- switch Uploaders and Maintainer fields (package is team maintained)
- bump Standards-Version to 3.8.3 (no changes needed)
2008-05-24 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg16-1) unstable; urgency=low
* New upstream version, updated translation module.
2008-05-20 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg15-1) unstable; urgency=low
* New upstream version, updated translation module.
2008-04-28 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg14-1) unstable; urgency=low
* New upstream version.
* Updated debian/patches/command-option.patch, correct import. Closes: #478033
* Updated debian/copyright, changed for latest proposed format.
2008-03-30 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg11-2) unstable; urgency=medium
* Added debian/patches/bot-announce.patch, announce functionality.
* Updated debian/rules, general standards improvement.
* Updated debian/control, corrected Depends and Build-Depends-Indep on
versioned python. Closes: #471617
2008-03-09 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg11-1) unstable; urgency=low
* Initial release. Closes: #458095

See Also

Package Description
phing_2.16.0-1_all.deb PHP5 project build system based on Apache Ant
phipack_0.0.20160614-2_i386.deb PHI test and other tests of recombination
phlipple-data_0.8.5-2build3_all.deb reduce 3D shapes to a single square - game data
phlipple_0.8.5-2build3_i386.deb reduce 3D shapes to a single square
phnxdeco_0.33-3_i386.deb Decompress flashfiles equipped with a PHOENIX BIOS
phonefsod_0.1+git20121018-2_i386.deb SHR daemon for freesmartphone.org interaction
phoneui-apps_0.1+git20111214-3_i386.deb SHR applications
phoneuid_0.1+git20130505-1_i386.deb SHR daemon for user interaction
phonon-backend-gstreamer-common_4.9.0-1_i386.deb Phonon GStreamer 1.0.x backend icons
phonon-backend-gstreamer_4.9.0-1_i386.deb Phonon GStreamer 1.0 backend
phonon-backend-null_4.9.0-4_i386.deb multimedia framework from KDE - null back-end (no real back-end)
phonon-backend-vlc_0.9.0-2_i386.deb Phonon VLC backend
phonon4qt5-backend-gstreamer_4.9.0-1_i386.deb Phonon Qt5 GStreamer 1.0 backend
phonon4qt5-backend-null_4.9.0-4_i386.deb multimedia framework from KDE using Qt 5 - null back-end (no real back-end)
phonon4qt5-backend-vlc_0.9.0-2_i386.deb Phonon4Qt5 VLC backend
Advertisement
Advertisement